--=====================================================================================
-- TOOL BOX PDA ICON
--
-- @For:		Anybody
-- @Date:		2017-10-8
-- @Purpose:	To prevent loss of tool box by giving it an icon on the PDA map.
--=====================================================================================


if ToolBox == nil then
	ToolBox = {}
	ToolBox.ModDir = g_currentModDirectory
end;

oldVehicleSell = VehicleSellingPoint.new
VehicleSellingPoint.new = function(self, id)

	local self
	if oldVehicleSell ~= nil then
		self = oldVehicleSell(self, id)
	end;
	
	--New Code ------------------------------------------------------------------------------------
	self.appearsOnPDA = Utils.getNoNil(getUserAttribute(id, "appearsOnPDA"), false);
	
    if self.appearsOnPDA then
		local mapPosition = id;
		local mapPositionIndex = getUserAttribute(id, "mapPositionIndex");
		if mapPositionIndex ~= nil then
			mapPosition = Utils.indexToObject(id, mapPositionIndex);
			if mapPosition == nil then
				mapPosition = id;
			end;
		end;

		local x, _, z = getWorldTranslation(mapPosition);
		
		if x ~= 0 and x ~= nil and z~= 0 and z ~= nil then
			local hotspotObjectId = id;

			local fullViewName = Utils.getNoNil(getUserAttribute(id, "stationName"), "map_toolBox")
			if g_i18n:hasText(fullViewName) then
				fullViewName = g_i18n:getText(fullViewName)
			end;
			
			local file = "store_toolbox.dds"
			local pdaFilename = Utils.getFilename(file, ToolBox.ModDir)
			
			self.mapHotspot = g_currentMission.ingameMap:createMapHotspot("map_toolBox", fullViewName, pdaFilename, nil, nil, x, z, nil, nil, false, false, false, hotspotObjectId, nil, MapHotspot.CATEGORY_DEFAULT);
		end;
	end;
	------------------------------------------------------------------------------------------------

	return self
end;

VehicleSellingPoint.delete = function(self)
	if g_currentMission:getIsClient() then
		removeTrigger(self.sellTriggerId)
		removeTrigger(self.sellAreaTriggerId)
	end;
	if self.mapHotspot ~= nil then
		g_currentMission.ingameMap:deleteMapHotspot(self.mapHotspot)
	end;
end;